# Uses of Class
org.springframework.cglib.beans.BeanMap

Packages that use BeanMap
Package
Description
org.springframework.cglib.beans
Spring's repackaging of the CGLIB beans package (for internal use only).

## Uses of BeanMap in org.springframework.cglib.beans

Methods in org.springframework.cglib.beans that return BeanMap
Modifier and Type
Method
Description
`static BeanMap`
BeanMap.`create(Object bean)`
Helper method to create a new `BeanMap`.
`BeanMap`
BeanMap.Generator.`create()`
Create a new instance of the `BeanMap`.
`abstract BeanMap`
BeanMap.`newInstance(Object bean)`
Create a new `BeanMap` instance using the specified bean.